PK_MessageAccumulator Class Reference

Interface for accumulating messages to be signed or verified. More...

`#include <cryptlib.h>`

Inheritance diagram for PK_MessageAccumulator:

## Public Member Functions

unsigned int | DigestSize () const
void | TruncatedFinal (byte *digest, size_t digestSize)
Public Member Functions inherited from HashTransformation
HashTransformation & | Ref ()
| Provides a reference to this object.
virtual void | Update (const byte *input, size_t length)=0
| Updates a hash with additional input.
virtual byte * | CreateUpdateSpace (size_t &size)
| Request space which can be written into by the caller.
virtual void | Final (byte *digest)
| Computes the hash of the current message.
virtual void | Restart ()
| Restart the hash.
unsigned int | TagSize () const
| Provides the tag size of the hash.
virtual unsigned int | BlockSize () const
| Provides the block size of the compression function.
virtual unsigned int | OptimalBlockSize () const
| Provides the input block size most efficient for this hash.
virtual unsigned int | OptimalDataAlignment () const
| Provides input and output data alignment for optimal performance.
virtual void | CalculateDigest (byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | Verify (const byte *digest)
| Verifies the hash of the current message.
virtual bool | VerifyDigest (const byte *digest, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
virtual void | CalculateTruncatedDigest (byte *digest, size_t digestSize, const byte *input, size_t length)
| Updates the hash with additional input and computes the hash of the current message.
virtual bool | TruncatedVerify (const byte *digest, size_t digestLength)
| Verifies the hash of the current message.
virtual bool | VerifyTruncatedDigest (const byte *digest, size_t digestLength, const byte *input, size_t length)
| Updates the hash with additional input and verifies the hash of the current message.
Public Member Functions inherited from Algorithm
| Algorithm (bool checkSelfTestStatus=true)
| Interface for all crypto algorithms.
virtual std::string | AlgorithmName () const
| Provides the name of this algorithm.
virtual std::string | AlgorithmProvider () const
| Retrieve the provider of this algorithm.
Public Member Functions inherited from Clonable
virtual Clonable * | Clone () const
| Copies this object.

## Detailed Description

Interface for accumulating messages to be signed or verified.

Only Update() should be called from the PK_MessageAccumulator() class. No other functions inherited from HashTransformation, like DigestSize() and TruncatedFinal(), should be called.

Definition at line 2865 of file cryptlib.h.

## Member Function Documentation

## DigestSize()

unsigned int PK_MessageAccumulator::DigestSize | ( |  | ) | const

inline virtual

Warning
  DigestSize() should not be called on PK_MessageAccumulator

Implements HashTransformation.

Definition at line 2869 of file cryptlib.h.

## TruncatedFinal()

void PK_MessageAccumulator::TruncatedFinal | ( | byte * | digest,
|  | size_t | digestSize
| ) |  |

inline virtual

Warning
  TruncatedFinal() should not be called on PK_MessageAccumulator

Implements HashTransformation.

Definition at line 2873 of file cryptlib.h.

The documentation for this class was generated from the following file:

- cryptlib.h